tests = (
[1, [2, [3, 4], 5], 6, [7, 8]],      # Zagnieżdżanie mieszane => 36
[1, [2, [3, [4, [5]]]]],             # Zagnieżdżanie z prawej strony => 15
[[[[[1], 2], 3], 4], 5])             # Zagnieżdżanie z lewej strony => 15

def tester(sumtree, trace=True):
    for test in tests:
        print(sumtree(test, trace))

